MediaWiki:Common.css: Difference between revisions

No edit summary
Added support for dark mode on light mode. Previously only worked for people whose theme is dark mode
Line 439: Line 439:
}
}


/* Invert logo when user manually toggles dark mode */
html.skin-theme-clientpref-night .mw-logo-icon {
    filter: invert(1);
}
/* Invert logo when user's device is in dark mode (and wiki is set to "Automatic") */
@media (prefers-color-scheme: dark) {
@media (prefers-color-scheme: dark) {
    html.skin-theme-clientpref-night .mw-logo-icon,
     html.skin-theme-clientpref-os .mw-logo-icon {
     html.skin-theme-clientpref-os .mw-logo-icon {
         filter: invert(1);
         filter: invert(1);